Skip to content
Get started

Retrieve

GET/users/me

Get the current authenticated user.

ReturnsExpand Collapse
user: object { id, created_at, email, 5 more }

The current authenticated user.

id: string

The unique identifier of the user.

created_at: unknown

The time the user was created.

email: string

The email address of the user.

first_name: string

The first name of the user.

has_completed_onboarding: boolean

Whether the user has completed the onboarding tutorial.

last_name: string

The last name of the user.

organization_id: string

The ID of the organization the user belongs to.

updated_at: unknown

The time the user was last updated.

Retrieve

curl https://www.getrevox.com/api/users/me \
    -H "Authorization: Bearer $REVOX_API_KEY"
{
  "user": {
    "id": "id",
    "created_at": {},
    "email": "email",
    "first_name": "first_name",
    "has_completed_onboarding": true,
    "last_name": "last_name",
    "organization_id": "organization_id",
    "updated_at": {}
  }
}
Returns Examples
{
  "user": {
    "id": "id",
    "created_at": {},
    "email": "email",
    "first_name": "first_name",
    "has_completed_onboarding": true,
    "last_name": "last_name",
    "organization_id": "organization_id",
    "updated_at": {}
  }
}